Page MenuHomePhabricator

run-tests: ignore PermissionError when checking available ports
ClosedPublic

Authored by mharbison72 on May 7 2021, 12:01 AM.

Details

Reviewers
Alphare
Group Reviewers
hg-reviewers
Summary

I'm not sure what this is, but I'm getting it occasionally when running in WSL.
When it was raised, none of the tests could run.

Diff Detail

Repository
rHG Mercurial
Branch
stable
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mharbison72 created this revision.May 7 2021, 12:01 AM
Alphare accepted this revision.May 17 2021, 3:54 AM
This revision is now accepted and ready to land.May 17 2021, 3:54 AM

This looks good to me too, but needs rebased.

mharbison72 closed this revision.Jul 9 2021, 11:25 AM

This landed as 6e0af81c43b2, but lacked the Differential URL in the commit comment somehow. It may have gotten pulled off of the Windows CI work on heptapod.